Bug 177518 - Touchpad stops working in kernel-2.6.15-1.1823_FC4
Touchpad stops working in kernel-2.6.15-1.1823_FC4
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-11 08:34 EST by Matthew Saltzman
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-16 02:06:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Saltzman 2006-01-11 08:34:09 EST
Description of problem:
After upgrade to kernel-2.6.15-1.1823_FC4 (currently in updates-testing), my
Synaptics touchpad no longer works in X.

Version-Release number of selected component (if applicable):
kernel-2.6.15-1.1823_FC4

How reproducible:
Always

Steps to Reproduce:
1. Boot kernel-2.6.15-1.1823_FC4 on a laptop with a Synaptics touchpad.
2. Start X.
3. Attempt to use touchpad features like tapping or border scrolling.
  
Actual results:
Features don't work.

Expected results:
Features should work.

Additional info:
No problem in previous kernels through kernel-2.6.14-1.1656_FC4.
Also have current FC4 synaptics-0.14.0-2.

No apparent errors in /var/log/messages.  But in /var/log/Xorg.0.log, I get the
following errors:

(II) Synaptics touchpad driver version 0.14.0
Synaptics no synaptics event device found (checked 1 nodes)
(**) Option "Device" "/dev/input/mice"
(**) Option "SHMConfig" "on"
Query no Synaptics: 6003C8
(EE) Synaptics no synaptics touchpad detected and no repeater device
(EE) Synaptics Unable to query/initialize Synaptics hardware.
(EE) PreInit failed for input device "Synaptics"
(II) UnloadModule: "synaptics"
Comment 1 Dave Jones 2006-01-12 20:03:06 EST
needs a udev update.
Comment 7 Harald Hoyer 2006-02-15 07:10:29 EST
Does the latest udev erratum fix your issue?
Comment 8 Matthew Saltzman 2006-02-15 14:31:06 EST
Yes, touchpad works fine with latest udev and kernel updates.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.